Vulnerabilities (CVE)

Filtered by vendor Mirantis Subscribe
Total 5 CVE
CVE Vendors Products Updated CVSS v2 CVSS v3
CVE-2022-0484 1 Mirantis 1 Container Cloud Lens Extension 2022-02-09 6.8 MEDIUM 8.8 HIGH
Lack of validation of URLs causes Mirantis Container Cloud Lens Extension before v3.1.1 to open external programs other than the default browser to perform sign on to a new cluster. An attacker could host a webserver which serves a malicious Mirantis Container Cloud configuration file and induce the victim to add a new cluster via its URL. This issue affects: Mirantis Mirantis Container Cloud Lens Extension v3 versions prior to v3.1.1.
CVE-2022-0270 1 Mirantis 1 Bored-agent 2022-02-01 6.5 MEDIUM 8.8 HIGH
Prior to v0.6.1, bored-agent failed to sanitize incoming kubernetes impersonation headers allowing a user to override assigned user name and groups.
CVE-2021-44458 2 Linux, Mirantis 2 Linux Kernel, Lens 2022-01-19 5.1 MEDIUM 9.6 CRITICAL
Linux users running Lens 5.2.6 and earlier could be compromised by visiting a malicious website. The malicious website could make websocket connections from the victim's browser to Lens and so operate the local terminal feature. This would allow the attacker to execute arbitrary commands as the Lens user.
CVE-2021-23218 1 Mirantis 1 Mirantis Container Runtime 2022-01-18 4.3 MEDIUM 7.5 HIGH
When running with FIPS mode enabled, Mirantis Container Runtime 20.10.8 leaks memory during TLS Handshakes which could be abused to cause a denial of service.
CVE-2021-23154 1 Mirantis 1 Lens 2022-01-18 9.3 HIGH 7.8 HIGH
In Lens prior to 5.3.4, custom helm chart configuration creates helm commands from string concatenation of provided arguments which are then executed in the user's shell. Arguments can be provided which cause arbitrary shell commands to run on the system.